[26293] in Source-Commits
/svn/athena r25497 - trunk/debathena/scripts
daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Sun May 13 21:22:35 2012
Date: Sun, 13 May 2012 21:22:34 -0400
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201205140122.q4E1MYj6011194@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: jdreed
Date: 2012-05-13 21:22:34 -0400 (Sun, 13 May 2012)
New Revision: 25497
Modified:
trunk/debathena/scripts/daupload-proposed
Log:
Revert r25476 and r25479
Modified: trunk/debathena/scripts/daupload-proposed
===================================================================
--- trunk/debathena/scripts/daupload-proposed 2012-05-14 00:44:58 UTC (rev 25496)
+++ trunk/debathena/scripts/daupload-proposed 2012-05-14 01:22:34 UTC (rev 25497)
@@ -46,21 +46,6 @@
if [ "$1" = "-S" ]; then S=1; shift; fi
change=$1
-set +e
-NOBUILD=$(grep-dctrl -n -s Debathena-No-Build -F Debathena-No-Build -e . "$change")
-BUILDFOR=$(grep-dctrl -n -s Debathena-Build-For -F Debathena-Build-For -e . "$change")
-if [ -n "$NOBUILD" ] && [ -n "$BUILDFOR" ]; then
- echo "Error: changes file contains both Debathena-Build-For and Debathena-No-Build"
- echo "(This should never happen, since sbuildhack should have caught it.)"
- exit 1
-fi
-if [ -z "$NOBUILD" ] && [ -z "$BUILDFOR" ] && [ -e nobuild ]; then
- NOBUILD="$(cat nobuild)"
- echo "NOTE: Please migrate ./nobuild to XSC-Debathena-No-Build!"
-fi
-
-
-set -e
cd "$(dirname "$change")"
change=$(basename "$change")
base=${change%_source.changes}
@@ -72,13 +57,11 @@
! [ -s "$1" ] || missing="$missing-$1 "
}
-# Adjust DEBIAN_CODES based on Debathena-Build-For or Debathena-No-Build
-if [ -n "$BUILDFOR" ]; then
- DEBIAN_CODES=$BUILDFOR
-elif [ -n "$NOBUILD" ]; then
+# If ./nobuild exists, filter out its contents from DEBIAN_CODES.
+if [ -e nobuild ]; then
newcodes=
for code in $DEBIAN_CODES; do
- if ! echo "$NOBUILD" | fgrep -q "$code"; then
+ if ! fgrep -q "$code" nobuild; then
newcodes="$newcodes $code"
fi
done
Property changes on: trunk/debathena/scripts/daupload-proposed
___________________________________________________________________
Deleted: svn:mergeinfo
-